import { CdmCorpusContext, CdmDocumentDefinition, CdmObject, cdmObjectSimple, cdmObjectType, resolveOptions, VisitCallback } from '../internal';
export declare class CdmImport extends cdmObjectSimple {
    private TAG;
    corpusPath: string;
    moniker: string;
    /**
     * @internal
     */
    document: CdmDocumentDefinition;
    static get objectType(): cdmObjectType;
    constructor(ctx: CdmCorpusContext, corpusPath: string, moniker: string);
    getObjectType(): cdmObjectType;
    copy(resOpt?: resolveOptions, host?: CdmObject): CdmImport;
    fetchObjectDefinitionName(): string;
    validate(): boolean;
    visit(pathFrom: string, preChildren: VisitCallback, postChildren: VisitCallback): boolean;
}
